#
# spec file for package cmpi-pywbem-software (Version 0.1.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           cmpi-pywbem-software
Url:            http://en.opensuse.org/Software_Management/CIM
License:        LGPL-2.1+
Group:          System/Management
AutoReqProv:    on
Version:        0.1.2
Release:        5.3
Summary:        CIM provider for packagekit
Source0:        %{name}-%{version}.tar.gz
Requires:       python-pywbem cmpi-bindings-pywbem PackageKit sblim-sfcb
PreReq:         cmpi-provider-register
BuildRequires:  sblim-sfcb
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define mofdir /usr/share/mof/cmpi-pywbem-software
%define regdir /var/lib/sfcb/stage/regs

%description
This is a tech preview for a CIM instrumentation for the software
profiles based on PackageKit.



Authors:
--------
    Stefan Haas <shaas@novell.com>

%prep
%setup -n %{name}-%{version}

%build

%install
make DESTDIR=%{buildroot} install

%pre
if [ $1 -gt 1 -a -d %{mofdir} ]; then
  /usr/sbin/cmpi-provider-register -r -x -d %{mofdir}
fi

%post
/usr/sbin/cmpi-provider-register -d %{mofdir}

%preun
if [ "$1" = "0" ] ; then 
  /usr/sbin/cmpi-provider-register -r -d %{mofdir}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/pycim/pkclient.py
/usr/lib/pycim/PackageKit_PackageProvider.py
/usr/lib/pycim/PackageKit_UpdateProvider.py
/usr/lib/pycim/PackageKit_RepositoryProvider.py
%{mofdir}/PackageKit_Package.mof
%{mofdir}/PackageKit_PackageProvider.peg.reg
%{mofdir}/PackageKit_PackageProvider.sfcb.reg
%{mofdir}/PackageKit_Repository.mof
%{mofdir}/PackageKit_RepositoryProvider.peg.reg
%{mofdir}/PackageKit_RepositoryProvider.sfcb.reg
%{mofdir}/PackageKit_Update.mof
%{mofdir}/PackageKit_UpdateProvider.peg.reg
%{mofdir}/PackageKit_UpdateProvider.sfcb.reg
%{mofdir}/deploy.mof
%dir %{mofdir}
%dir /usr/lib/pycim

%changelog
* Mon Dec  8 2008 shaas@suse.de
- fixed typo in spec-file
* Mon Dec  8 2008 shaas@suse.de
- adapted package und update provider to new PackageKit-interface
- updated and cleaned the spec-file (bnc #457194)
* Fri Sep 19 2008 ro@suse.de
- added directories to filelist
* Fri Sep 12 2008 kkaempf@suse.de
- renamed to cmpi-pywbem-software
- initial port to sblim-sfcb
* Fri Aug  8 2008 shaas@suse.de
- Updated to v0.1.2
- RepositoryProvider added
* Mon Aug  4 2008 shaas@suse.de
- initial package created v0.1.1
